com.android.agf.activities

## Class CachedFileProvider

- java.lang.Object
- - android.content.ContentProvider
  - - com.android.agf.activities.CachedFileProvider

- All Implemented Interfaces:
    ComponentCallbacks, ComponentCallbacks2

      public class CachedFileProvider
      extends ContentProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.content.ContentProvider

      `ContentProvider.PipeDataWriter<T>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTHORITY`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedFileProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `delete(Uri uri, String selection, String[] selectionArgs)`
    `String` | `getType(Uri uri)`
    `Uri` | `insert(Uri uri, ContentValues values)`
    `boolean` | `onCreate()`
    `ParcelFileDescriptor` | `openFile(Uri uri, String mode)`
    `Cursor` | `query(Uri uri, String[] projection, String selection, String[] selectionArgs, String sortOrder)`
    `int` | `update(Uri uri, ContentValues values, String selection, String[] selectionArgs)`

    - ### Methods inherited from class android.content.ContentProvider

      `applyBatch, attachInfo, bulkInsert, call, getContext, getPathPermissions, getReadPermission, getStreamTypes, getWritePermission, isTemporary, onConfigurationChanged, onLowMemory, onTrimMemory, openAssetFile, openFileHelper, openPipeHelper, openTypedAssetFile, setPathPermissions, setReadPermission, setWritePermission, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORITY

          public static final String AUTHORITY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CachedFileProvider

          public CachedFileProvider()

  - ### Method Detail

    - #### delete

          public int delete(Uri uri,
                   String selection,
                   String[] selectionArgs)

      Specified by:
        `delete` in class `ContentProvider`

    - #### getType

          public String getType(Uri uri)

      Specified by:
        `getType` in class `ContentProvider`

    - #### insert

          public Uri insert(Uri uri,
                   ContentValues values)

      Specified by:
        `insert` in class `ContentProvider`

    - #### onCreate

          public boolean onCreate()

      Specified by:
        `onCreate` in class `ContentProvider`

    - #### openFile

          public ParcelFileDescriptor openFile(Uri uri,
                                      String mode)
                                        throws FileNotFoundException

      Overrides:
        `openFile` in class `ContentProvider`
      Throws:
        `FileNotFoundException`

    - #### query

          public Cursor query(Uri uri,
                     String[] projection,
                     String selection,
                     String[] selectionArgs,
                     String sortOrder)

      Specified by:
        `query` in class `ContentProvider`

    - #### update

          public int update(Uri uri,
                   ContentValues values,
                   String selection,
                   String[] selectionArgs)

      Specified by:
        `update` in class `ContentProvider`